<?php

namespace App\Entities\Credito;

use App\Utils\Entity;

class CreditoCliente extends Entity {
	protected $id;
	protected $extorno_id;
	protected $credito_id;
	protected $cliente_id;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $valor_total;
	protected $valor_usado;
	protected $valor;
	protected $saldo;
	protected $usado;
	protected $gerar_credito;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;

	public static function builder(): CreditoClienteBuilder {

		return new CreditoClienteBuilder();
	}
	/**
	 * @return mixed
	 */
	public function getId() {

		return $this->id;
	}


	/**
	 * @return mixed
	 */
	public function getExtornoId() {

		return $this->extorno_id;
	}


	/**
	 * @return mixed
	 */
	public function getCreditoId() {

		return $this->credito_id;
	}


	/**
	 * @return mixed
	 */
	public function getClienteId() {

		return $this->cliente_id;
	}


	/**
	 * @return mixed
	 */
	public function getCriadoPor() {

		return $this->criado_por;
	}


	/**
	 * @return mixed
	 */
	public function getDataCriacao() {

		return $this->data_criacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraCriacao() {

		return $this->hora_criacao;
	}


	/**
	 * @return mixed
	 */
	public function getValorTotal() {

		return $this->valor_total;
	}


	/**
	 * @return mixed
	 */
	public function getValorUsado() {

		return $this->valor_usado;
	}


	/**
	 * @return mixed
	 */
	public function getValor() {

		return $this->valor;
	}


	/**
	 * @return mixed
	 */
	public function getSaldo() {

		return $this->saldo;
	}


	/**
	 * @return mixed
	 */
	public function getUsado() {

		return $this->usado;
	}

	/**
	 * @return mixed
	 */
	public function getGerarCredito() {
		
		return $this->gerar_credito;
	}
	

	/**
	 * @return mixed
	 */
	public function getAtualizadoPor() {

		return $this->atualizado_por;
	}


	/**
	 * @return mixed
	 */
	public function getDataAtualizacao() {

		return $this->data_atualizacao;
	}


	/**
	 * @return mixed
	 */
	public function getHoraAtualizacao() {

		return $this->hora_atualizacao;
	}


	/**
	 * @param mixed $id
	 */
	public function setId($id) {

		$this->id = $id;
	}


	/**
	 * @param mixed $extorno_id
	 */
	public function setExtornoId($extorno_id) {

		$this->extorno_id = $extorno_id;
	}


	/**
	 * @param mixed $credito_id
	 */
	public function setCreditoId($credito_id) {

		$this->credito_id = $credito_id;
	}


	/**
	 * @param mixed $cliente_id
	 */
	public function setClienteId($cliente_id) {

		$this->cliente_id = $cliente_id;
	}


	/**
	 * @param mixed $criado_por
	 */
	public function setCriadoPor($criado_por) {

		$this->criado_por = $criado_por;
	}


	/**
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;
	}


	/**
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;
	}


	/**
	 * @param mixed $valor_total
	 */
	public function setValorTotal($valor_total) {

		$this->valor_total = $valor_total;
	}


	/**
	 * @param mixed $valor_usado
	 */
	public function setValorUsado($valor_usado) {

		$this->valor_usado = $valor_usado;
	}


	/**
	 * @param mixed $valor
	 */
	public function setValor($valor) {

		$this->valor = $valor;
	}


	/**
	 * @param mixed $saldo
	 */
	public function setSaldo($saldo) {

		$this->saldo = $saldo;
	}


	/**
	 * @param mixed $usado
	 */
	public function setUsado($usado) {

		$this->usado = $usado;
	}

	/**
	 * @param mixed $gerar_credito
	 */
	public function setGerarCredito($gerar_credito) {
		
		$this->gerar_credito = $gerar_credito;
	}
	

	/**
	 * @param mixed $atualizado_por
	 */
	public function setAtualizadoPor($atualizado_por) {

		$this->atualizado_por = $atualizado_por;
	}


	/**
	 * @param mixed $data_atualizacao
	 */
	public function setDataAtualizacao($data_atualizacao) {

		$this->data_atualizacao = $data_atualizacao;
	}


	/**
	 * @param mixed $hora_atualizacao
	 */
	public function setHoraAtualizacao($hora_atualizacao) {

		$this->hora_atualizacao = $hora_atualizacao;
	}

	
	

}

